Bug 1009196 - [abrt] evolution-3.8.5-2.fc19: WebCore::AnimationController::isRunningAnimationOnRenderer: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.5-2.fc19: WebCore::AnimationController::isRunningAnimati...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:16f6d27d02087325d72396d26e5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 20:27 EDT by Andrew Colville
Modified: 2015-02-17 12:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:13:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.48 KB, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: core_backtrace (66.62 KB, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: dso_list (28.09 KB, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: environ (1.88 KB, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: maps (135.55 KB, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: open_fds (1.79 KB, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details
File: var_log_messages (706 bytes, text/plain)
2013-09-17 20:27 EDT, Andrew Colville
no flags Details

  None (edit)
Description Andrew Colville 2013-09-17 20:27:03 EDT
Description of problem:
I executed evolution by assigned function key and came to this....

Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        evolution
crash_function: WebCore::AnimationController::isRunningAnimationOnRenderer
executable:     /usr/bin/evolution
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::AnimationController::isRunningAnimationOnRenderer at Source/WebCore/page/animation/AnimationController.cpp:581
 #1 WebCore::RenderLayerCompositor::requiresCompositingForAnimation at Source/WebCore/rendering/RenderLayerCompositor.cpp:1990
 #2 WebCore::RenderLayerCompositor::requiresCompositingLayer at Source/WebCore/rendering/RenderLayerCompositor.cpp:1663
 #3 WebCore::RenderLayerCompositor::needsToBeComposited at Source/WebCore/rendering/RenderLayerCompositor.cpp:1641
 #4 WebCore::RenderLayerCompositor::updateBacking at Source/WebCore/rendering/RenderLayerCompositor.cpp:590
 #5 WebCore::RenderLayerCompositor::updateLayerCompositingState at Source/WebCore/rendering/RenderLayerCompositor.cpp:680
 #6 WebCore::RenderLayer::styleChanged at Source/WebCore/rendering/RenderLayer.cpp:5613
 #7 WebCore::RenderLayerModelObject::styleDidChange at Source/WebCore/rendering/RenderLayerModelObject.cpp:171
 #8 WebCore::RenderBox::styleDidChange at Source/WebCore/rendering/RenderBox.cpp:242
 #9 WebCore::RenderBlock::styleDidChange at Source/WebCore/rendering/RenderBlock.cpp:356
Comment 1 Andrew Colville 2013-09-17 20:27:07 EDT
Created attachment 799014 [details]
File: backtrace
Comment 2 Andrew Colville 2013-09-17 20:27:11 EDT
Created attachment 799015 [details]
File: cgroup
Comment 3 Andrew Colville 2013-09-17 20:27:14 EDT
Created attachment 799016 [details]
File: core_backtrace
Comment 4 Andrew Colville 2013-09-17 20:27:18 EDT
Created attachment 799017 [details]
File: dso_list
Comment 5 Andrew Colville 2013-09-17 20:27:21 EDT
Created attachment 799018 [details]
File: environ
Comment 6 Andrew Colville 2013-09-17 20:27:24 EDT
Created attachment 799019 [details]
File: exploitable
Comment 7 Andrew Colville 2013-09-17 20:27:27 EDT
Created attachment 799020 [details]
File: limits
Comment 8 Andrew Colville 2013-09-17 20:27:32 EDT
Created attachment 799021 [details]
File: maps
Comment 9 Andrew Colville 2013-09-17 20:27:35 EDT
Created attachment 799022 [details]
File: open_fds
Comment 10 Andrew Colville 2013-09-17 20:27:38 EDT
Created attachment 799023 [details]
File: proc_pid_status
Comment 11 Andrew Colville 2013-09-17 20:27:42 EDT
Created attachment 799024 [details]
File: var_log_messages
Comment 12 Milan Crha 2013-09-18 06:08:02 EDT
Thanks for a bug report. I see in the backtrace that this crashed in a webkitgtk3 code, thus I assign this bug report there, but I guess from it that the crashed happens for a certain message only, with certain content, thus it would be helpful if you could try to find which message caused the crash. I see there was run also a test for spam on some message, which doesn't necessary mean the message ended in your Junk folder. Based on the webkit part of the backtrace, the message might be an HTML message, with a click-able image (if I read function names properly).
Comment 13 James Heather 2013-10-16 04:05:28 EDT
This is happening to me too, when I try to start evolution. I don't have any means of finding a specific message it relates to, because I can't even start evolution.
Comment 14 Milan Crha 2013-10-16 12:42:57 EDT
Could you run evolution with a preview panel disabled, like:
   $ evolution --disable-preview -c mail
alternatively in a different component, like
   $ evolution -c tasks
whether it'll help? Not a solution by any means, just a workaround/test.
Comment 15 James Heather 2013-10-16 13:05:28 EDT
No joy, I'm afraid. The really weird thing is that I've deleted .cache/evolution and .local/share/evolution, so there's not much left that can be causing trouble.

[james@barry ~]$ rm -rf ~/.cache/evolution ~/.local/share/evolution
[james@barry ~]$ evolution 
No bp log location saved, using default.
[000:000] Cpu: 6.44.2, x12, 3193Mhz, 20077MB
[000:000] Computer model: Not available
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:007] Using Gtk2 toolkit
No bp log location saved, using default.
[000:000] Cpu: 6.44.2, x12, 3193Mhz, 20077MB
[000:000] Computer model: Not available
java version "1.7.0_40"
OpenJDK Runtime Environment (fedora-2.4.2.7.fc19-x86_64 u40-b60)
OpenJDK 64-Bit Server VM (build 24.0-b56, mixed mode)
Segmentation fault (core dumped)
[james@barry ~]$ evolution --force-shutdown
Evolution process exited normally
[james@barry ~]$ rm -rf ~/.cache/evolution ~/.local/share/evolution
[james@barry ~]$ evolution -c tasks
No bp log location saved, using default.
[000:000] Cpu: 6.44.2, x12, 3193Mhz, 20077MB
[000:000] Computer model: Not available
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:007] Using Gtk2 toolkit
No bp log location saved, using default.
[000:000] Cpu: 6.44.2, x12, 3193Mhz, 20077MB
[000:000] Computer model: Not available
java version "1.7.0_40"
OpenJDK Runtime Environment (fedora-2.4.2.7.fc19-x86_64 u40-b60)
OpenJDK 64-Bit Server VM (build 24.0-b56, mixed mode)
Segmentation fault (core dumped)
[james@barry ~]$ evolution --force-shutdown
Evolution process exited normally
[james@barry ~]$ rm -rf ~/.cache/evolution ~/.local/share/evolution
[james@barry ~]$ evolution --disable-preview -c mail
No bp log location saved, using default.
[000:000] Cpu: 6.44.2, x12, 3193Mhz, 20077MB
[000:000] Computer model: Not available
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:007] Using Gtk2 toolkit
No bp log location saved, using default.
[000:000] Cpu: 6.44.2, x12, 3193Mhz, 20077MB
[000:000] Computer model: Not available
java version "1.7.0_40"
OpenJDK Runtime Environment (fedora-2.4.2.7.fc19-x86_64 u40-b60)
OpenJDK 64-Bit Server VM (build 24.0-b56, mixed mode)
Segmentation fault (core dumped)
[james@barry ~]$
Comment 16 Milan Crha 2013-10-17 03:01:53 EDT
I vaguely recall something related to install mozilla plugins, which could cause some trouble as well. The plugins are installed at
   /usr/lib/mozilla/plugins/
(alternatively at lib64), which are shared by browsers, including webkitgtk3. One of the plugins uses gtk2, while evolution (and used webkit) is gtk3, which is confusing the most to me, because the two toolkits cannot be mixed. I would try to remove temporarily some of the plugins (might be enough to remove them from the folder before you run evolution), to see whether anything of it will help.
Comment 17 James Heather 2013-10-17 05:05:33 EDT
Ah, I remember that too. You're right: it was the Google Talk plugin. I've removed it and it's solved the problem. Thank you.

The strange part is that it was installed a very long time ago and hasn't caused any trouble in the meantime. I can't figure out why it was at this point that it all went wrong.
Comment 18 Fedora End Of Life 2015-01-09 14:52:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-17 12:13:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.